"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MerchantAuthorizationDeniedError = void 0;
/**
 * MerchantAuthorizationDeniedError is thrown when the user will
 * not sign the merchant's signature, thereby authorizing the merchant's
 * code.
 * This is a fatal error for the merchant, and no retries should
 * be attempted.
 */
class MerchantAuthorizationDeniedError extends Error {
    constructor(message, src) {
        super(message);
        this.src = src;
    }
}
exports.MerchantAuthorizationDeniedError = MerchantAuthorizationDeniedError;
//# sourceMappingURL=MerchantAuthorizationDeniedError.js.map